@Library('testproject')
import vars
node{
    stage("Generating build number"){
        def name = env.BUILD_NUMBER
        echo "The build number is $name"
    }
    stage("Genarating branch name"){
        def ham = env.BRANCH_NAME
        echo "The branch name is $ham"
    }
    stage("testing importing"){
        greetings()
    }
}